package es.uv.saic.dto;

import es.uv.saic.domain.Organ;

public class OrganTransferDTO {
    private Integer lugarTitulacion;
    private Integer lugarCentre;
    private String nomVal;
    private String nomCas;
    private String tambit;
    private String tambitTitulacion;

    public OrganTransferDTO() {
    }

    public OrganTransferDTO(Integer lugarTitulacion, Integer lugarCentre, String nomVal, String nomCas, String tambit,
            String tambitTitulacion) {
        this.lugarTitulacion = lugarTitulacion;
        this.lugarCentre = lugarCentre;
        this.nomVal = nomVal;
        this.nomCas = nomCas;
        this.tambit = tambit;
        this.tambitTitulacion = tambitTitulacion;
    }

    public OrganTransferDTO(Organ organ) {
        this.lugarTitulacion = organ.getId().getLugar();
        this.lugarCentre = organ.getOrgan().getId().getLugar();
        this.nomVal = organ.getNomVal();
        this.nomCas = organ.getNomCas();
        this.tambit = organ.getTambit();
        this.tambitTitulacion = organ.getOrgan().getTambit();
    }

    public Integer getLugarTitulacion() {
        return lugarTitulacion;
    }

    public void setLugarTitulacion(Integer lugarTitulacion) {
        this.lugarTitulacion = lugarTitulacion;
    }

    public Integer getLugarCentre() {
        return lugarCentre;
    }

    public void setLugarCentre(Integer lugarCentre) {
        this.lugarCentre = lugarCentre;
    }

    public String getNomVal() {
        return nomVal;
    }

    public void setNomVal(String nomVal) {
        this.nomVal = nomVal;
    }

    public String getNomCas() {
        return nomCas;
    }

    public void setNomCas(String nomCas) {
        this.nomCas = nomCas;
    }

    public String getTambit() {
        return tambit;
    }

    public void setTambit(String tambit) {
        this.tambit = tambit;
    }

    public String getTambitTitulacion() {
        return tambitTitulacion;
    }

    public void setTambitTitulacion(String tambitTitulacion) {
        this.tambitTitulacion = tambitTitulacion;
    }
}
